> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a user

> Queue permanent deletion of the caller-owned user account.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public delete /v1/users/{userId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/users/{userId}:
    delete:
      tags:
        - Users
      summary: Delete a user
      description: Queue permanent deletion of the caller-owned user account.
      operationId: deleteUser
      parameters:
        - in: path
          name: userId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                deletionQuestionnaire:
                  type: object
                  properties:
                    reasons:
                      type: array
                      items:
                        type: string
                        minLength: 1
                        maxLength: 255
                      maxItems: 20
                    otherReason:
                      type: string
                      minLength: 1
                      maxLength: 2000
                    submittedAt:
                      type: string
                      format: date-time
                  required:
                    - reasons
                    - submittedAt
                  additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: Delete a user
          content:
            application/json:
              schema:
                type: object
                properties:
                  deletionJobId:
                    type: string
                    minLength: 1
                    maxLength: 255
                  deletionQueued:
                    type: boolean
                    const: true
                  id:
                    type: string
                    minLength: 1
                    maxLength: 255
                required:
                  - deletionJobId
                  - deletionQueued
                  - id
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: User or connected account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: User operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````